API Reference

Anchors

External payment identifiers mapped to wallets — EMVCo QR v1.4 codes (`emvco-v14-co`) and Bre-B Llaves (`alias`) including `mailto:`, `tel:`, `nidn:`, `merchid:`, and dynamic `key:` types.

List anchors

GET
/anchors

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Query Parameters

limit?integer

Maximum records to return

Default25
Rangevalue <= 100
offset?integer

Records to skip

Default0
filter[data.schema]?string
Value in"emvco-v14-co" | "alias"
filter[data.wallet]?string

Response Body

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/anchors?filter%5Bdata.schema%5D=alias&filter%5Bdata.wallet%5D=main%40comercio-ejemplo.com.co"
{
  "data": [
    {
      "handle": "qr:TERMINAL01@comercio-ejemplo.com.co",
      "schema": "emvco-v14-co",
      "wallet": "main@comercio-ejemplo.com.co",
      "target": "nit:900100001",
      "amount": 18500000,
      "symbol": {
        "handle": "cop"
      },
      "custom": {},
      "access": [
        {
          "action": "any",
          "record": "any",
          "signer": {
            "$circle": "owner"
          },
          "bearer": {
            "$signer": {
              "$circle": "services"
            }
          }
        }
      ]
    }
  ],
  "meta": {
    "total": 4,
    "limit": 25,
    "offset": 0
  }
}

Create anchor

POST
/anchors

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://demo-co.ldg-stg.one/api/v2/anchors" \  -H "Content-Type: application/json" \  -d '{    "data": {      "handle": "qr:TERMINAL01@comercio-ejemplo.com.co",      "schema": "emvco-v14-co",      "wallet": "main@comercio-ejemplo.com.co",      "target": "nit:900100001",      "symbol": {        "handle": "cop"      },      "custom": {        "merchant": {          "name": "Comercio Ejemplo SAS",          "city": "Bogota D.C.",          "postal": "110111",          "category": "5814",          "documentNumber": "900100001"        },        "reference": "COM-TERMINAL-01",        "channel": "POS",        "purpose": "00",        "terminal": "COMBOGCTR01"      }    }  }'
{
  "data": {
    "handle": "qr:TERMINAL01@comercio-ejemplo.com.co",
    "schema": "emvco-v14-co",
    "wallet": "main@comercio-ejemplo.com.co",
    "target": "nit:900100001",
    "symbol": {
      "handle": "cop"
    },
    "custom": {
      "merchant": {
        "name": "Comercio Ejemplo SAS",
        "city": "Bogota D.C.",
        "postal": "110111",
        "category": "5814",
        "documentNumber": "900100001"
      },
      "reference": "COM-TERMINAL-01",
      "channel": "POS"
    }
  },
  "meta": {
    "created": "2026-06-08T10:00:00.000Z"
  }
}
{
  "error": {
    "code": "schema-validation-failed",
    "message": "Required field 'schema' is missing from data"
  }
}
{
  "error": {
    "code": "handle-conflict",
    "message": "A record with this handle already exists"
  }
}

Get / resolve anchor

GET
/anchors/{handle}

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Path Parameters

handle*string

URL-encoded anchor handle

Response Body

application/json

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/anchors/nidn%3A900100001"

{
  "data": {
    "handle": "qr:TERMINAL01@comercio-ejemplo.com.co",
    "schema": "emvco-v14-co",
    "wallet": "main@comercio-ejemplo.com.co",
    "target": "nit:900100001",
    "symbol": {
      "handle": "cop"
    },
    "custom": {
      "merchant": {
        "name": "Comercio Ejemplo SAS",
        "city": "Bogota D.C.",
        "postal": "110111",
        "category": "5814",
        "documentNumber": "900100001"
      },
      "reference": "COM-TERMINAL-01",
      "channel": "POS"
    }
  },
  "meta": {
    "created": "2026-06-08T10:00:00.000Z"
  }
}

{
  "error": {
    "code": "not-found",
    "message": "Wallet not found"
  }
}

On this page

No Headings